#delimit ;

log using do\calcq04,replace;
*************************************************************;
*                                                           *;
*    Name    : CALCQ04.DO               V : 10              *;
*    Date    : JULY 26,1994                                 *;
*    Infile  : STPQ01, STPQ02, STPQ03                       *;
*    Outfile : FOODQC01                                     *;
*                                                           *;
*    OBJECTIVE: Sum the quantities from different sources   *;
*               obtain the total quantities.                *;
*                                                           *;
*************************************************************;
set more 1;
set maxobs 153000;
use foodex10;
keep hhid foodcode flag;
sort hhid foodcode;

merge hhid foodcode using stpq01;
tab _merge; 
drop _merge;
sort hhid foodcode;
des;

merge hhid foodcode using stpq02;
tab _merge;
drop _merge;
sort hhid foodcode;

merge hhid foodcode using stpq03;
tab _merge;
drop _merge;
sort hhid foodcode;

egen mqcons=rsum(mqpur mqrec mqprod);
lab var mqcons "Monthly quantity consumed";

replace mqcons=. if flag==4;

save foodqc01,replace;
des;
sum;
tab foodcode if mqcons>0, sum(mqcons);

* If everything is OK drop the files *
;
!del stpq01.dta;
!del stpq02.dta;
!del stpq03.dta;

log close;


