#delimit ;

log using do\calcx04,replace;
*************************************************************;
*                                                           *;
*    Name    : CALCX04.DO               V : 10              *;
*    Date    : JULY 26,1994                                 *;
*    Infile  : FOODEX10, STPX01, STPX02, STPX03             *;
*    Outfile : FOODEX01                                     *;
*                                                           *;
*    OBJECTIVE: Sum the quantities from different sources   *;
*               obtain the total food expenditure           *;
*                                                           *;
*************************************************************;
set more 1;
set maxobs 153000;

use foodex10;
keep hhid foodcode flag;
sort hhid foodcode;

merge hhid foodcode using stpx01;
tab _merge;
drop _merge;
sort hhid foodcode;
des;

merge hhid foodcode using stpx02;
tab _merge;
drop _merge;
sort hhid foodcode;

merge hhid foodcode using stpx03;
tab _merge;
drop _merge;
sort hhid foodcode;

egen mxcons=rsum(mxpur mxrec mxprod);
replace mxcons=. if flag==4;

lab var mxcons "Monthly expenditure consumed";

save foodex01,replace;
des;
tab foodcode if mxcons>0, sum(mxcons);

* If everything is OK, drop the files *
;
!del stpx01.dta;
!del stpx02.dta;
!del stpx03.dta;
!del stpx04.dta;

log close;

