#delimit ;

log using do\calcxt01,replace;
**************************************************************;
*                                                            *;
*    Name    : CALCXT01.DO              V : 10               *;
*    Date    : JULY 21, 1994                                 *;
*    Infile  : FOODEX02                                      *;
*    Outfile : HHFEXPT                                       *;
*                                                            *;
*    OBJECTIVE: Calculate total household monthly expenditure*;
*               for commodities Purchased recieved produced  *;
*                                                            *;
**************************************************************;
set more 1;
set maxobs 153000;

use foodex02;

des;

keep hhid foodcode mxpur mxrec mxprod mxcons;
sort hhid;

egen tmxpur=sum(mxpur) , by(hhid);
drop mxpur;
egen tmxrec=sum(mxrec) , by(hhid);
drop mxrec;
egen tmxpro=sum(mxpro) , by(hhid);
drop mxpro;
egen tmxcon=sum(mxcon) , by(hhid);
drop mxcon;
collapse tmxpur tmxrec tmxpro tmxcon,  
        max(tmxpur tmxrec tmxpro tmxcon) by (hhid); 

lab data "Tot Monthly Food Expend."; 
lab var tmxpur "Tot Month Food Purchase Value";
lab var tmxrec "Tot Month Food Received Value";
lab var tmxpro "Tot Month Food Produced Value";
lab var tmxcon "Tot Month Food Value";

des;
sum;
sort hhid;

save hhfexpt,replace;


log close;
