#delimit ;

log using clcexp17,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCEXP17.DO              V : 01              *;
*    Date    : JULY 7, 1994                                 *;
*    Infile  : M2_REM2                                      *;
*    Outfile : HHEXP17                                      *;
*                                                           *;
*    OBJECTIVE: Calculate the total value of remittances    *;
*               received by households                      *;
*                                                           *;
*************************************************************;

use m2_rem2;
des;
sum;
keep hhid s_cash_y s_inkin1;

** CHECK THE MISSING   **
;
gen flag=0;
replace flag=1 if s_cash<0 | s_inkin<0;
tab flag;

replace s_cash_y=. if s_cash_y<0;
replace s_inkin1=. if s_inkin1<0;
gen count=1;
 
**  CALCULATE THE VARAIBLES    **
;
collapse s_cash_y s_inkin1 count flag, 
         sum(cash kind numrec flag) by(hhid);

gen float mxremcas=cash/12;
gen float mxremkin=kind/12;
gen float mxtrem=mxremcas+mxremkin;
recast int flag*;

drop cash kind;

lab data "Expenditure for Remittances";

lab var numrec   "Number of contributions";
lab var mxremcas "Remittance Expenditure Cash";
lab var mxremkin "Remittance Expenditure In Kind";
lab var mxtrem   "Tot Month Remittance Expenditure";
lab var flag "Number of Missing";

tab flag;

sort hhid;
save strem2,replace;

** SET THE FILE    **
;
** NOTE: Only 1462 households have remittance expenditure  **
   All the other values are set to zeroes.  The few missing 
   values (26) are set to missing
;
use s4_hdef;
keep hhid;
sort hhid;
merge hhid using strem2;
tab _merge;
drop _merge;

replace flag=0 if flag==.;
replace numrec=0 if numrec==.;
replace mxremcas=0 if mxremcas==.;
replace mxremcas=. if flag>=1;
replace mxremkin=0 if mxremkin==.;
replace mxremkin=. if flag>=1;
replace mxtrem=0 if mxtrem==.;
replace mxtrem=. if flag>=1;

gen int marker17=0;
replace marker=1 if flag==0 ;
replace marker=2 if flag>=1 ;

lab var marker "Marker";
lab def mark 0 "Miss"
             1 "Orig"
             2 "Impute";
lab val marker mark;

tab marker17;

sort hhid;
save hhexp17,replace;

!del strem2.dta;
log close;
