#delimit ;

log using do\clcinc16,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCINC16.DO              V : 01              *;
*    Date    : MAY 28,1994                                  *;
*    Infile  : M2_REM1                                      *;
*    Outfile : HHINC16                                      *;
*                                                           *;
*    OBJECTIVE: Calculate the total value of remittances    *;
*               received by households                      *;
*                                                           *;
*************************************************************;

use m3_rem1;
des;
sum;
keep hhid r_cash_y r_inkin1;

replace r_cash_y=0 if r_cash_y<0;
replace r_inkin1=0 if r_inkin1<0;
gen count=1;
 
collapse count r_cash_y r_inkin1, sum(numrec toty_cas toty_kin) by(hhid);
sort hhid;
gen toty_rec=toty_cas+toty_kin;
gen totm_cas=toty_kin/12;
gen totm_kin=toty_kin/12;
gen totm_rec=toty_rec/12;

lab data "Income from Remittances";

lab var numrec "Number of contributors";
lab var toty_cas "Total Yearly Cash received";
lab var toty_kin "Total Yearly in Kind received";
lab var toty_rec "Total Yearly received";
lab var totm_cas "Total Yearly Cash received";
lab var totm_kin "Total Monthly in kind";
lab var totm_rec "Total Monthly received";

save hhinc16,replace;

des;
sum;
tab num;
sum toty_cas if toty_cas>0, det;
sum toty_kin if toty_kin>0, det;
sum toty_rec if toty_rec>0, det;
sum totm_rec if totm_rec>0, det;

log close;
