#delimit ;

log using do\clcinc22,replace;
set log linesize 200;
*************************************************************;
*                                                           *;
*    Name    : CLCINC22.DO              V : 01              *;
*    Date    : MAY 30, 1994                                 *;
*    Infile  : M1_CASW1                                     *;
*    Outfile : INCOME22,HHINC22                             *;
*                                                           *;
*    OBJECTIVE: Calculate casual wage income using file 22  *;
*               First Casual wage employment                *;
*                                                           *;
*************************************************************;
set more 1;

use m3_casw1;

**   Set Missing to Zero  and mark them     *;

gen marker=0;
replace marker=1 if cash<0;
replace cash=0 if cash<0;

**      Explore benefits and set the missing to zero         *;

replace food=0 if food<0;
replace benefit=0 if benefit<0;

**   Collapse the data  *;

sort hhid pcode;

save income22, replace;

collapse cash marker food benefit, 
     sum(hhc1wage marker22 foodcw1 bencw1) by (hhid);

lab data "Casual Wage 1 Income";

lab var hhc1wage "Household Cas 1 Wage";
lab var marker22 "With missing Cas 1 Wage value";
lab var foodcw1 "Household Cas 1 Food Subsidy";
lab var bencw1 "Household Cas 1 subsidy";

des;
sum,det;
    
**  NOTE: The file includes a separate variable for food subsidies and 
    housing. Some staff failed to record these values if the respondent
    mentioned them in the expenditure section on the mistaken belief that 
    this would be double-counting.  A later step will compare and set a 
    filter to transfer information on in-kind wages where it appears 
    missing.                                                      **;

save hhinc22,replace;

log close;
