#delimit ;

log using do\clcinc23,replace;
set log linesize 200;
*************************************************************;
*                                                           *;
*    Name    : CLCINC23.DO              V : 01              *;
*    Date    : MAY 30, 1994                                 *;
*    Infile  : M1_CASW2                                     *;
*    Outfile : INCOME23,HHINC23                             *;
*                                                           *;
*    OBJECTIVE: Calculate casual wage income using file 23  *;
*               Second Casual wage employment               *;
*                                                           *;
*************************************************************;
set more 1;

use m1_casw2;

**   Set Missing to Zero  and mark them     *;

gen marker=0;
replace marker=1 if cash<0;
replace cash=0 if cash<0;

**      Explore benefits and set the missing to zero         *;

replace food=0 if food<0;
replace benefit=0 if benefit<0;

**   Collapse the data  *;

sort hhid pcode;

save income23, replace;

collapse cash marker food benefit, 
     sum(hhc2wage marker23 foodcw2 bencw2) by (hhid);

lab data "Casual Wage 2 Income";

lab var hhc2wage "Household Cas 2 Wage";
lab var marker23 "With missing Cas 2 Wage value";
lab var foodcw2 "Household Cas 2 Food Subsidy";
lab var bencw2 "Household Cas 2 subsidy";

des;
sum,det;


**  NOTE: The file includes a separate variable for food subsidies and 
    housing. Some staff failed to record these values if the respondent
    mentioned them in the expenditure section on the mistaken belief that 
    this would be double-counting.  A later step will compare and set a 
    filter to transfer information on in-kind wages where it appears 
    missing.                                                      **;

save hhinc23,replace;

log close;



