#delimit ;

log using do\clcinc25,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCINC25.DO              V : 01              *;
*    Date    : FEBRUARY 7,1994                              *;
*    Infile  : M1_AGR1                                      *;
*    Outfile : HHINC25                                      *;
*                                                           *;
*    OBJECTIVE: Calculate Agricultural Income               *;
*                                                           *;
*                                                           *;
*************************************************************;
set more 1;

***  Note from Harold  : Cane.  There is one case where the total sales 
     are either 6500 or 3500. I beleive that the harvest is listed as one 
     kilo.  As the product gives the right total I didn't worry.  But this 
     may give the price per kilo as 3500.  So a scan (there are no more than 
     15 cane farmers) and see.  You may need o change the unitshvr to 12 but 
     if so, may sure that the program allows for vharv to be equal to price 
     times harvest if crop = cane and unitshvr=12. ;


use m2_agr1;

**  This step calculates agricultural revenue and 
    imputed value of own production                 *:


** compute quantity of production in standard unit (kilos) *;

gen harvq=0;
replace amt_harv=units_so if amt_harv<0 & units_so>0;
replace harvq=amt_harv if unitshvr==1;
replace harvq=amt_harv*10 if unitshvr==2;
replace harvq=amt_harv*25 if unitshvr==3;
replace harvq=amt_harv*50 if unitshvr==4;
replace harvq=amt_harv*80 if unitshvr==5;
replace harvq=amt_harv*1000 if unitshvr==6;
replace harvq=amt_harv*50 if unitshvr==7 & crop_cod==5;
replace harvq=amt_harv*15 if unitshvr==7 & crop_cod==10;
replace harvq=amt_harv*15 if unitshvr==7 & crop_cod==16;
replace harvq=amt_harv*15 if unitshvr==7 & crop_cod>=18;
replace harvq=amt_harv*15 if unitshvr==7 & crop_cod==6;
replace harvq=amt_harv*25 if unitshvr==7 & crop_cod==7;
replace harvq=amt_harv*25 if unitshvr==7 & crop_cod==8 | unitshvr==7
        & crop_cod==9 | unitshvr==7 & crop_cod==11 | unitshvr==7
        & crop_cod==14;
replace harvq=amt_harv*5 if unitshvr==7 & crop_cod==15;
replace harvq=amt_harv*25 if unitshvr==8;
replace harvq=amt_harv*2.0 if unitshvr==9 & crop_cod==10;
replace harvq=amt_harv*10 if unitshvr==10;
replace harvq=amt_harv*1 if unitshvr==11 & crop_cod~=7;
replace harvq=amt_harv*5 if unitshvr==11 & crop_cod==7;
replace harvq=amt_harv*260 if unitshvr==12 & crop_cod==1;

** we require verification for the weights of the codes below.
    They may differ by crop. For example, the remaining 12s for 
    maize are all 'sledges', assumed to be 250 kilos. Note that 
    quantity is indicative only. In some case it does not appear 
    directly in calculation of income *;

*Five or six households report a small harvest of fruits but no quantity.  
The amounts are set to 10 kilos to be able to aggregate with other crops and 
to avoid losing the fact that they have some home production.    *;

replace harvq=10 if amt_harv==-4;

sort crop_cod;

** Compute price in kilos.  Use to provide value if no sale *;

gen harvp=0;
replace unit_pri=0 if unit_pri<0;
replace harvp=unit_pri if unitshvr==1;
replace harvp=unit_pri/10 if unitshvr==2;
replace harvp=unit_pri/25 if unitshvr==3;
replace harvp=unit_pri/50 if unitshvr==4;
replace harvp=unit_pri/80 if unitshvr==5;
replace harvp=unit_pri/1000 if unitshvr==6 & crop_cod~=9;
replace harvp=0.5 if unitshvr==6 & crop_cod==9;
replace harvp=unit_pri/25 if unitshvr==8;
replace harvp=unit_pri/10 if unitshvr==10;

** compute implicit value of production in Rand *;

gen vharv=0;
replace vharv=amt_harv*unit_pri if unit_pri>0 & unitshvr==12;
replace vharv=amt_harv*unit_pri if unit_pri>0 & unitshvr==6;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==6;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==7;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==11;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==15;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==18;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==20;
replace vharv=amt_harv*unit_pri if unit_pri>0 & crop_cod==21;
replace vharv=amt_harv*1        if unitsh==1 & crop_cod==17;
replace vharv=amt_harv*1        if unitsh==9 & crop_cod==17;
replace vharv=amt_harv*unit_pri if hhid==2111118 & crop_cod==17;

**The above account for heterogenous cases or 
     for large scale production for which the cost differs from small  
     scale opportunity costs. For other households the median sales 
     price from the rest of the sample is employed.                                     *;

replace vharv=harvq*0.75 if vharv==0 & crop_cod==1;
replace vharv=harvq*0.75 if vharv==0 & crop_cod==2;
replace vharv=harvq*1.25 if vharv==0 & crop_cod==3;
replace vharv=harvq*0.75 if vharv==0 & crop_cod==4;
replace vharv=harvq*0.75 if vharv==0 & crop_cod==5;
replace vharv=harvq*0.5 if vharv==0 & crop_cod==6;
replace vharv=harvq*0.5 if vharv==0 & crop_cod==7;
replace vharv=harvq*0.5 if vharv==0 & crop_cod==8;
replace vharv=harvq*1.0 if vharv==0 & crop_cod==9;
replace vharv=harvq*0.5 if vharv==0 & crop_cod==10;
replace vharv=harvq*1 if vharv==0 & crop_cod==11;
replace vharv=harvq*0.75 if vharv==0 & crop_cod==12;
replace vharv=harvq*0.625 if vharv==0 & crop_cod==13;
replace vharv=harvq*1.0 if vharv==0 & crop_cod==14;
replace vharv=harvq*1.5 if vharv==0 & crop_cod==15;
replace vharv=harvq*0.5 if vharv==0 & crop_cod==16;
replace vharv=harvq*90 if vharv==0 & crop_cod==17 & unitshvr==6;
replace vharv=harvq*1 if vharv==0 & crop_cod==17 & unitshvr~=6;
replace vharv=harvq*0.75 if vharv==0 & crop_cod==18;
replace vharv=harvq*1.0 if vharv==0 & crop_cod==21;
replace vharv=0 if vharv<0;

** compute implicit value of in-kind costs in Rand *;

replace pay_rent=0 if pay_rent<0;
replace pay_labr=0 if pay_labr<0;
gen inputs=0;
replace inputs=pay_rent+pay_labr if unitshvr==1;
replace inputs=(pay_rent+pay_labr)*10 if unitshvr==2;
replace inputs=(pay_rent+pay_labr)*25 if unitshvr==3;
replace inputs=(pay_rent+pay_labr)*50 if unitshvr==4;
replace inputs=(pay_rent+pay_labr)*80 if unitshvr==5;
replace inputs=(pay_rent+pay_labr)*1000 if unitshvr==6;
replace inputs=(pay_rent+pay_labr)*25 if unitshvr==8;
replace inputs=(pay_rent+pay_labr)*2.0 if unitshvr==9 & crop_cod==10;
replace inputs=(pay_rent+pay_labr)*10 if unitshvr==10;
replace inputs=(pay_rent+pay_labr)*260 if unitshvr==12 & crop_cod==1;

gen kcosts=0;
replace kcosts=(pay_labr+pay_rent)*unit_pri if unit_pri>0 & unitshvr==12;
replace kcosts=(pay_labr+pay_rent)*unit_pri if unit_pri>0 & unitshvr==6;

replace kcosts=inputs*0.75 if kcosts==0 & crop_cod==1;
replace kcosts=inputs*0.75 if kcosts==0 & crop_cod==2;
replace kcosts=inputs*1.25 if kcosts==0 & crop_cod==3;
replace kcosts=inputs*0.75 if kcosts==0 & crop_cod==4;
replace kcosts=inputs*0.75 if kcosts==0 & crop_cod==5;
replace kcosts=inputs*0.5 if kcosts==0 & crop_cod==6;
replace kcosts=inputs*0.5 if kcosts==0 & crop_cod==7;
replace kcosts=inputs*0.5 if kcosts==0 & crop_cod==8;
replace kcosts=inputs*1.0 if kcosts==0 & crop_cod==9;
replace kcosts=inputs*0.5 if kcosts==0 & crop_cod==10;
replace kcosts=inputs*0.75 if kcosts==0 & crop_cod==12;
replace kcosts=inputs*0.625 if kcosts==0 & crop_cod==13;
replace kcosts=inputs*1.0 if kcosts==0 & crop_cod==14;
replace kcosts=inputs*harvp if unit_pri>0 & crop_cod==11;
replace kcosts=inputs*harvp if unit_pri>0 & crop_cod==15;
replace kcosts=inputs*1 if kcosts==0 & crop_cod==11| kcosts==0 
               & crop_cod==15;

sort hhid;

collapse kcosts vharv, sum(kcosts agrevenu) by(hhid);
save agtemp1,replace;

use s1_agr3;
merge hhid using agtemp1; 
tab _merge;
keep hhid kcosts agrevenu subs_val serv_val;
replace serv_val=0 if serv_val<0 | serv_val==.;
replace subs_val=0 if subs_val<0 | subs_val==.;
sort hhid;
save agtemp2,replace;

use m1_agr4;

gen impcash=0;
replace impcash=pay if cost_cod <4 & cost_cod> 6 & pay>0;
gen cashrent=0;
replace cashrent=pay if pay >0 & cost_cod==5 | pay>0 & cost_cod==6;
gen feedcost=0;
replace feedcost=pay if pay>0 & cost_cod==4;
sort hhid;
collapse impcash cashrent feedcost, sum(impcash cashrent feedcost)
         by(hhid);
save agtemp3,replace;

use agtemp2;
merge hhid using agtemp3;
tab _merge;
drop _merge;
sort hhid;
save agtemp4,replace;

** This step calculates profits from large farms *;

use s0_agr5;

gen lrevenue=field+hort+animal+forestr;
replace lrevenue=. if lrevenue==-8;
replace lrevenue=0 if lrevenue==-4;
gen lcosts=run_co+other_co;
replace lcosts=0 if lrevenue==0;
replace lcosts=(12*perm_emp+seas_emp)*350 if lrevenue>0
        & lcosts==0 & lrevenue~=.;
gen lprofits=lrevenue-lcosts;
replace lprofits=0 if hhid==81002;

** Based on analysis of questionnaire.  Agricultural income 
is -at best- small and other income is reported which clearly dominates *:

replace lprofits=lprofits*prop/100 if prop>0;
replace lrevenue=lrevenue*prop/100 if prop>0;
replace lcost=lcost*prop/100 if prop>0;
replace other_in=other_in*prop if prop>0;
sum lprofit,det; 
gen largefrm=1;
keep hhid largefrm lprofit other_in lrevenue lcosts;
sort hhid;
save agtemp5,replace;

** This step calculates livestock revenue.  Median sales price  
    used to value milk and eggs  *;

use s1_agr2;
replace milk_pro=milk_use+milk_sol if milk_pro<=0 & milk_sol>=0 
        & milk_use>=0;
replace milk_pro=milk_use if milk_pro<0 & milk_use>=0;
replace eggs_pro=eggs_use+egg_q_so if eggs_pro<=0 & eggs_use>=0
        & egg_q_so>=0;
replace eggs_pro=eggs_use+egg_q_so if eggs_pro<=0 & eggs_use>=0;
gen milkpr=milk_v/milk_so;
gen milkrev=0;
replace milkrev=4.3*milkpr*(milk_pr) if milkpr>0 & milkpr~=.;
replace milkrev=4.3*1.0*milk_pro if milkpr<=0 | milkpr==.;
gen eggrev=4.3*0.35*eggs_pro;
replace milkrev=0 if milk_pro<0;
replace eggrev=0 if eggs_pro<0;
gen skinrev=0;
replace skinrev=skins_so/12 if skins_so>4;
gen woolrev=0;
replace woolrev=wool_so/12 if wool_so>4;
gen vetcosts=0;
replace vetcosts=vet_cost/12 if vet_cost>4;
keep hhid woolrev milkrev eggrev skinrev vetcosts;
sort hhid;
save agtemp6,replace;

**There are two means of calculating livestock income.  One is the net
growth of the herd in terms of births and maturity of animals but which 
counts animals bought or sold as investment (savings) and dissavings. 
While this is often prefered, the file does not include sufficient 
information to calculate the change in value of young animals.  Thus, a 
second method based on the net of purchases, sales and consumption is used.  
In a population, the two approaches should not differ appreciably although 
the latter is not strictly analogous to income.  For poultry only sales 
and home consumption are considered.  Note, herd losses (fairly high)
are not used in these calculations.

The values of animals are based on the median sales price if
the price is positive.  Also, a few household did not recall
number slaughtered (mainly for poultry).  A conversion based 
on the median ratio of slaughtered to owned was used.
                                             *;
use m1_agr2;

replace l_sold=0 if l_sold<0;
replace l_born=0 if l_born<0;
replace l_own=1 if l_own<-1;
replace l_slaugh=.51*l_own if l_slaugh<=0 & item_c==5;
replace l_slaugh=.51*l_own if l_slaugh<=0 & item_c==4;
replace l_slaugh=.2*l_own if l_slaugh<=0 & item_c==3;
replace l_slaugh=.12*l_own if l_slaugh<=0 & item_c==2;
replace l_slaugh=.2*l_own if l_slaugh<0 & item_c==1;
replace l_slaugh=round(l_slaugh, 1);

gen unitp=0;
replace unitp=l_sale/l_sold if l_sale>0 & l_sold>0;
gen herdrev=0;
replace herdrev=unitp*(l_sold+l_slaugh) if unitp>1 & item_c==5;
replace herdrev=unitp*(l_sold+l_slaugh-l_bought) 
    if unitp>1 & herdrev==0;
replace herdrev=l_sale+778*(l_slaugh-l_bought)
    if herdrev==0 & item_c==1 & l_sale>0 & l_sold<=0;
replace herdrev=l_sale+120*(l_slaugh-l_bought)
    if herdrev==0 & item_c==2 & l_sale>0 & l_sold<=0;
replace herdrev=l_sale+120*(l_slaugh-l_bought)
    if herdrev==0 & item_c==3 & l_sale>0 & l_sold<=0;
replace herdrev=l_sale+72.5*(l_slaugh-l_bought)
    if herdrev==0 & item_c==4 & l_sale>0 & l_sold<=0;
replace herdrev=l_sale+11*l_slaugh if herdrev==0 & 
    item_c==5 & l_sale>0 & l_sold<=0;
replace herdrev=778*(l_sold+l_slaugh-l_bought)
    if herdrev==0 & item_c==1;
replace herdrev=120*(l_sold+l_slaugh-l_bought)
    if herdrev==0 & item_c==2;
replace herdrev=120*(l_sold+l_slaugh-l_bought)
    if herdrev==0 & item_c==3;
replace herdrev=72.5*(l_sold+l_slaugh-l_bought)
    if herdrev==0 & item_c==4;
replace herdrev=11*(l_sold+l_slaugh)
    if herdrev==0 & item_c==5;
replace herdrev=778*l_born/2 if herdrev<=0 & item_c==1;
replace herdrev=120*l_born/2 if herdrev<=0 & item_c==2;
replace herdrev=120*l_born/2 if herdrev<=0 & item_c==3;
replace herdrev=72.5*l_born/2 if herdrev<=0 & item_c==4;
gen herdearn=herdrev/12;

sum herdearn,det;
sort hhid;
collapse herdearn, sum(herdearn) by(hhid);
save agtemp7,replace;

** This step aggregates all Agricultural costs and revenues.
   They are on a monthly basis for addition to other income.
   Subsidies are included as a separate category   *;

use agtemp4;
merge hhid using agtemp6;
tab _merge;
drop _merge;
sort hhid;
merge hhid using agtemp7;
tab _merge;
drop _merge;
sort hhid;
merge hhid using agtemp5;
tab _merge;
replace other_in=0 if other_in==. |_merge==3 & other_in==subs_val;
replace largefrm=0 if _merge==3 & lrevenue<20000;
replace agrevenu=lrevenue if _merge==3 & lrevenue<20000;
replace lprofit=0 if lprofit==. & largefrm~=1;
drop _merge;

replace agrevenu=0 if agrevenu==.;
replace subs_val=0 if subs_val==.;
replace serv_val=0 if serv_val==.;
replace kcosts=0 if kcosts==.;
replace impcash=0 if impcash==.;
replace cashrent=0 if cashrent==.;
replace woolrev=0 if woolrev==.;
replace milkrev=0 if milkrev==.;
replace eggrev=0 if eggrev==.;
replace skinrev=0 if skinrev==.;
replace herdearn=0 if herdearn==.;
replace feedcost=0 if feedcost==.;
replace vetcosts=0 if vetcosts==.;
replace lprofit=0 if largefrm~=1;
replace other_in=0 if largefrm~=1;

gen cropearn=0;
replace cropearn=(agrevenu+serv_val-kcosts-impcash-cashrent)/12;
gen liveearn=0;
replace liveearn=herdearn+woolrev+milkrev+eggrev+skinrev
    -(feedcost/12)-vetcosts;
sum cropearn liveearn;
gen agincome=0;
replace agincome=liveearn+cropearn if largefrm~=1;
replace agincome=(lprofit/12) if largefrm==1;
generate agsubsid=0;     
replace agsubsid=(serv_val/12) if largefrm~=1;
replace agsubsid=(other_in/12) if largefrm==1;
replace agsubsid=0 if agsubsid<0;

**largefrm needs to be kept as a marker to keep the missing 
       farm income from being set to zero   *;

keep hhid agsubsid agincome largefrm;

lab data "Agricultural Income";

lab var agsubsid "Value of Ag. Subsidy";
lab var agincome "Value of Ag. Income";
lab var largefrm "Valid Large Farmers ?";

sort hhid;
save hhinc25,replace;

!del agtemp1.dta;
!del agtemp2.dta;
!del agtemp3.dta;
!del agtemp4.dta;
!del agtemp5.dta;
!del agtemp6.dta;
!del agtemp7.dta;

des;
sum;

log close;
