#delimit ;

log using do\clcinc31,replace;
set log linesize 200;
*************************************************************;
*                                                           *;
*    Name    : CLCINC31.DO              V : 01              *;
*    Date    : MAY 30, 1994                                 *;
*    Infile  : M2_SEMP                                      *;
*    Outfile : HHINC31                                      *;
*                                                           *;
*    OBJECTIVE: Calculate monthly income from               *;
*               SELF EMPLOYMENT                             *;
*                                                           *;
*************************************************************;

use m3_semp;
des;
sum;

** There are legitimate cases where revenues are less than cost since
the business has just started.  These give negative profits in the short 
run, but our filter sets them to zero.  *;


gen calcprof=.;
replace calcprof=grsales-expen if grsales>=0 & expen>=0;
replace profit=calcprof if profit<=0 & calcprof>0 & calcprof~=.;
replace profit=0 if profit==0 & calcprof<=0;
replace profit=grsales if grsales>0 & profit<=-3;
replace profit=. if profit<0;
gen marker31=0;
replace marker31=1 if profit==.;
sort hhid;
collapse profit marker31, sum(profit31 marker31) by (hhid);

lab data "Self Employment Income";
lab var marker31 "Missing profit data";  
lab var profit31 "Household profit value";

save hhinc31,replace;

log close;
