#delimit ;

log using do\clcinc32,replace;
set log linesize 200;
*************************************************************;
*                                                           *;
*    Name    : CLCINC32.DO              V : 01              *;
*    Date    : MAY 30, 1994                                 *;
*    Infile  : m3_INES                                      *;
*    Outfile : HHINC32                                      *;
*                                                           *;
*    OBJECTIVE: Calculate monthly income from               *;
*               other sources                               *;
*                                                           *;
*************************************************************;

use m5_ines;
des;
sum;

** Create a marker and set the Missing values to Zero ;

gen marker32=0;
replace marker32=1 if amt<0;
replace amt=0 if amt<0;
sort hhid;
collapse amt marker32, sum(otherinc marker32) by (hhid);

lab data "Other Income";
lab var marker32 "Missing Values";  
lab var otherinc "Household other income";

save hhinc32,replace;

log close;
