#delimit ;

log using do\clcsamp4,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCSAMP4.DO              V : 01              *;
*    Date    : AUGUST 25, 1994                              *;
*    Infile  : PSAMPLE4, M6_HHROST, METRO                   *;
*    Outfile : SAMPLE04                                     *;
*                                                           *;
*    OBJECTIVE: Create a Sample file with basic sampling    *;
*               information                                 *;
*                                                           *;
*************************************************************;
set more 1;

use psample4;

keep clust pop typ surv province newpro md_ncode;
sort clu;
save sa1,replace;

clear;
set maxobs 45000;
use m6_hrost;
keep hhid pcode mcode;

**  Create a household level with number of members and residents  **
;
egen hhsizep=count(pcode), by(hhid);
egen hhsizer=count(pcode) if mcode==1, by(hhid);
collapse hhsizep hhsizer, max(hhsizep hhsizer) by(hhid);

**  Collapse the information at the Cluster level   **
;
gen clustnum=int(hhid/1000);

egen hhnump=count(hhid) if hhsizep>0, by(clust);
egen hhnumr=count(hhid) if hhsizer>0, by(clust);

egen hhall=sum(hhsizep) , by(clust);
egen hhres=sum(hhsizer) , by(clust);

egen avsizep=mean(hhsizep) , by(clust);
egen avsizer=mean(hhsizer) , by(clust);

collapse hhnump hhnumr hhall hhres avsizep avsizer,
         max(hhnump hhnumr hhall hhres avsizep avsizer) by(clus);

lab var hhall "Total number of Households";
lab var hhres "Total number of Resident Households";
lab var hhnump "Total number of People";  
lab var hhnumr "Total number of Residents";  
lab var avsizep "Average Household Size All";  
lab var avsizer "Average Household Size Resident";  

save sa2,replace;

** Create the file Sample04  **
;
use sa1;
merge clus using sa2;
tab _merge;
drop _merge;
sort clust;

lab data "Infornmation on Sample";

** Add the Metro grouping variables   **
;
merge clust using metro;
tab _merge;
drop _merge;

order clust pop type metro ;

sort clust;

save sample04,replace;

!del sa1.dta;
!del sa2.dta;

log close;

