#delimit ;

log using dotables\strata2,replace;
set log linesize 200;
*************************************************************;
*                                                           *;
*    Name    : strata2.DO              V : 01               *;
*    Date    : AUGUST 25, 1994                              *;
*    Infile  : S2_HDEF, WEIGHT02, SAMPLE04, METRO           *;
*    Outfile : strata2                                      *;
*                                                           *;
*    OBJECTIVE: Make strata1.dta which is a stratifier data *;
*               file                                        *;                                 *;
*                                                           *;
*************************************************************;
set more 1;
set maxobs 45000;

**  Create the file strata2 with the basic stratifiers  **
;
use s4_hdef;
keep hhid race lang_cod;
gen clustnum=int(hhid/1000);
sort clust hhid;

**  Add Sample variables   **
;
merge clust using sample04;
drop metro;
tab _merge;
drop _merge;
sort clust;

** Add the Metro grouping variables   **
;
merge clust using metro;
tab _merge;
drop _merge;

tab metro;

order clust hhid race lang_co type metro pro newpro ;
sort province race;

**  Add the weight Variables  **
;
merge province race using weight02;
tab _merge;
keep if _merge==3;

keep hhid race lang_co type metro pro newpro sweight rsweight rcweight;
sort hhid;
lab data "Basic Cross Variables"; 

save strata2,replace;

des;

*tab race; 
*tab lang_co; 
*tab type; 
*tab pro;
*tab newpro;

tab metro;

sum;

log close;
