#delimit ;
*************************************************************
*                                                           *
*    Name    : CLCINCTL.DO              V : 02              *
*    Date    : 03 JAN 2000                                  *
*    Infile  : HHID, and all income files                   *
*    Outfile : INCOME98                                     *
*                                                           *
*    OBJECTIVE: Sum the components of monthly income        *
*                                                           *
*************************************************************;;

global IN  = "i:\fcn\shared\mp17\safrica\survey98\data\origv2";
global OUT = "i:\fcn\shared\mp17\safrica\survey98\data\consv1";


use hhid using $IN\hhid ;
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** IMPUTED RENT from HHYHOUS.DTA created by CLCYHOUS.DO                 **;;

merge hhid using $OUT\hhyhous ;
assert _merge == 3 ; drop _merge ;
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** AGRICULTURAL INCOME from HHYAGR.DTA created by CLCYAGR.DO            **;;

use hhid hhyagr flagagr using $OUT\hhyagr ;
merge hhid using $OUT\income98 ;
assert _merge == 3 ; drop _merge ; 
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** REMITTANCES from HHYREM created by CLCYREM.DO                        **;;

use hhid hhyrem flagremr using $OUT\hhyrem ;
merge hhid using $OUT\income98 ;
assert _merge == 3 ; drop _merge ;
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** REGULAR WAGE INCOME from HHYREG created by CLCYREG.DO                **;;

use hhid hhnwage monthtvl montheat monthhse flag* using $OUT\hhyreg ;
merge hhid using $OUT\income98 ;
assert _merge == 3; drop _merge;
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** CASUAL WAGE INCOME from HHYCAS created by CLCYCAS.DO                 **;;

use hhid hhycas flag using $OUT\hhycas ;
merge hhid using $OUT\income98 ;
assert _merge == 3; drop _merge ;
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** SELF-EMPLOYMENT INCOME from HHYSEMP created by CLCYSEMP.DO           **;;

merge hhid using $OUT\hhysemp ;
assert _merge == 3; drop _merge;
sort hhid ; save $OUT\income98, replace ;


**----------------------------------------------------------------------**;

** NON-LABOUR INCOME from HHYNLAB created by CLCYNLAB.DO                **;;

use hhid nonlaby flag using $OUT\hhynlab ;

merge hhid using $OUT\income98 ;
assert _merge == 3; drop _merge;
sort hhid ; save $OUT\income98, replace ;

**----------------------------------------------------------------------**;



gen totminc = rentimp  + hhyagr + hhyrem + hhnwage + monthtvl + montheat + 
              monthhse + hhycas + hhysemp + nonlaby ;
     

label var totminc "98: Total monthly income" ;
label data "1998 Total Income" ;

sort hhid;
save $OUT\income98, replace;

exit ;


