#delimit ;
*************************************************************
*                                                           *
*    Name    : HHSIZE.DO               V : 02               *
*    Date    : 21 SEP 1999                                  *
*    Infile  : ROSTER                                       *
*    Outfile : HHSIZE98                                     *
*                                                           *
*    OBJECTIVE: Calculate household size for residents      *
*               and non-residents                           *                                 *;
*                                                           *
*************************************************************;;

global IN  = "i:\fcn\shared\mp17\safrica\survey98\data\origv2";
global OUT = "i:\fcn\shared\mp17\safrica\survey98\data\consv1";


use $IN\roster, clear ;            


** Drop those individuals not alive in 1998                             **;;

drop if alive98 == 2 ;       

** Keep only those individuals who are resident or non-resident members **;;

keep if lived == 1 ;       

gen int hhsizep = 1 ;                   * Resident & Non-Resident       *;
gen int hhsizem = 1 if resident ==1 ;   * Resident Only                 *;

collapse (sum) hhsizep hhsizem , by(hhid);  

sort hhid;
merge hhid using $IN\hhid ;
assert _merge == 3 ; drop _merge ;

label data "1998 Household size";
                                      
label var hhsizep "98: HH size : Res & Non-Res";
label var hhsizem "98: HH size : Resident only";

label drop relation spouse parent educ activity yes_no ;

notes drop _all ;

sort hhid ;
save $OUT\hhsize98, replace ;

exit ;
